---
title: "Get a list of attachments pinned to this contact"
description: "GET /contacts/{contact_id}/pinned_attachments — The list of pinned attachments is sorted based on \"pinned_at\" field, i.e. most recent attachments come first, the list of attachments is paginated."
canonical_url: https://developer.onepagecrm.com/api/reference/contacts/get-contacts-contact_id-pinned_attachments/
source: Markdown mirror of https://developer.onepagecrm.com/api/reference/contacts/get-contacts-contact_id-pinned_attachments/
---

`GET /contacts/{contact_id}/pinned_attachments`

The list of pinned attachments is sorted based on "pinned_at" field, i.e. most recent attachments come first, the list of attachments is paginated.

Resource: [Contacts](https://developer.onepagecrm.com/api/reference/contacts/) · [API Reference](https://developer.onepagecrm.com/api/reference/)

## Request

```bash
curl "https://app.onepagecrm.com/api/v3/contacts/{contact_id}/pinned_attachments" \
  -u $user_id:$api_key
```

Authentication is HTTP Basic — `user_id` as username, `api_key` as password.
See https://developer.onepagecrm.com/api/authentication/.

## Path parameters

| Name | Type | Description |
| --- | --- | --- |
| `contact_id` | string | Contact ID |

## Responses

### 200

OK

```json
{
  "status": 0,
  "message": "OK",
  "timestamp": 1528373119,
  "data": {
    "pinned_attachments": [
      {
        "id": "5afc1ea9d556730b780096db",
        "filename": "mario.jpg",
        "custom_filename": "another_mario.jpg",
        "pinned": true,
        "pinned_at": "2022-01-24T10:42:39Z",
        "size": 3841,
        "storage_provider": "amazon",
        "url": "https://{foo.bar}/mario.jpg",
        "url_expires_at": "2018-05-16T13:06:53Z",
        "thumbnail": {
          "url": "https://{foo.bar}/mario-thumbnail.jpg"
        }
      }
    ]
  },
  "total_count": 1,
  "page": 1,
  "per_page": 10,
  "max_page": 1
}
```

Standard error responses: 400, 401, 403, 404, 409, 500 — shared across the API. See https://developer.onepagecrm.com/api/errors/.

## Related guides

- [Authentication](https://developer.onepagecrm.com/api/authentication/)
- [Errors](https://developer.onepagecrm.com/api/errors/)
- [Rate limits](https://developer.onepagecrm.com/api/rate-limits/)
